# wxFrame-leer+button.py
import wx
#---------------------------------------------------------------------------
class MeinFenster(wx.Frame):
    def __init__(
        self, parent, ID, title, pos=wx.DefaultPosition,
        size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
        ):
        wx.Frame.__init__(self, parent, ID, title, pos, size, style)

        panel = wx.Panel(self, -1)
        # wxButton(wxWindow* parent, wxWindowID id, const wxString& label = wxEmptyString, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxValidator& validator = wxDefaultValidator, const wxString& name = "button")
        # ACHTUNG: hier jetzt wx.Button!
        button= wx.Button(panel, 10, "Beschriftung", (20,20))
        # Ereignis an Methode binden:
        self.Bind(wx.EVT_BUTTON, self.OnClick, button)

    def OnClick(self, event):
        pass
        
    def OnCloseWindow(self, event):
        self.Destroy()
        
# ===== Application-Klasse =================================================
class MeineAnwendung(wx.App):
    def OnInit(self):
        frame = MeinFenster(None, -1, "Dies ist mein Fenster", size=(350, 200),style = wx.DEFAULT_FRAME_STYLE)
        self.SetTopWindow(frame)
        frame.Show(True)
        return True
# ===== Application-Objekt erzeugen ========================================
app = MeineAnwendung(redirect=False)
app.MainLoop()
